Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Axiom-CSV-Fields
string[]

A list of optional comma separated fields to use for CSV ingestion. If not specified, the first line of the CSV will be used as the field names.

X-Axiom-Event-Labels
string

An optional JSON encoded object with additional labels to add to all events in the request

Path Parameters

dataset-id
string
required

Query Parameters

timestamp-field
string

The name of the field to use as the timestamp. If not specified, the timestamp will be the time the event was received by Axiom.

timestamp-format
string

The date-time format of the timestamp field. The reference time is Mon Jan 2 15:04:05 -0700 MST 2006, as specified in https://pkg.go.dev/time/?tab=doc#Parse

csv-delimiter
string

The delimiter to use when parsing CSV data. If not specified, the default delimiter is ,.

Body

Data you want to send to Axiom. Supported formats: JSON, NDJSON, CSV. Upload the data in a file or send it in the payload of the request.

Response

200 - application/json

IngestResult

blocksCreated
integer<uint32>
required
failed
integer<uint64>
required
ingested
integer<uint64>
required
processedBytes
integer<uint64>
required
walLength
integer<uint32>
required
failures
object[]